polylib: verif_ehrhart.c File Reference

# verif_ehrhart.c File Reference

`#include <stdio.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <polylib/polylib.h>`

Go to the source code of this file.

## Defines
#define | MAXRAYS 1024
#define | RANGE 50
#define | SRANGE 15
#define | BIGDIM 5
#define | VSRANGE 5
#define | VBIGDIM 8
## Functions
int | check_poly (Polyhedron *S, Polyhedron *C, Enumeration *en, int nparam, int pos, Value *z)
int | main (int argc, char *argv[])
## Variables
Value | min
Value | max
int | st

## Define Documentation

#define BIGDIM 5

Definition at line 52 of file verif_ehrhart.c.

Referenced by main().

#define MAXRAYS 1024

Definition at line 37 of file verif_ehrhart.c.

Referenced by main().

#define RANGE 50

Definition at line 46 of file verif_ehrhart.c.

Referenced by main().

#define SRANGE 15

Definition at line 49 of file verif_ehrhart.c.

Referenced by main().

#define VBIGDIM 8

Definition at line 58 of file verif_ehrhart.c.

Referenced by main().

#define VSRANGE 5

Definition at line 55 of file verif_ehrhart.c.

Referenced by main().

## Function Documentation

int check_poly | ( | Polyhedron * | S,
|  | Polyhedron * | C,
|  | Enumeration * | en,
|  | int | nparam,
|  | int | pos,
|  | Value * | z |
| ) |  |  |

Definition at line 78 of file verif_ehrhart.c.

References compute_poly(), count_points(), polyhedron::Dimension, in_domain(), max, min, P_VALUE_FMT, st, value_assign, value_clear, value_increment, value_init, value_le, value_ne, and value_print.

Referenced by main().

int main | ( | int | argc,
|  | char * | argv[] |
| ) |  |  |

Definition at line 167 of file verif_ehrhart.c.

References align_context(), BIGDIM, check_poly(), Constraints2Polyhedron(), polyhedron::Dimension, Domain_Free(), DomainIntersection(), m, Matrix_Alloc(), Matrix_Free(), Matrix_Read(), max, MAXRAYS, min, matrix::NbColumns, matrix::NbRows, matrix::p, p, Polyhedron_Enumerate(), Polyhedron_Image(), Polyhedron_Scan(), RANGE, SRANGE, st, value_clear, value_init, value_set_si, value_subtract, VBIGDIM, and VSRANGE.

## Variable Documentation

Value max

Definition at line 60 of file verif_ehrhart.c.

Referenced by check_poly(), main(), and SortConstraints().

Value min

Definition at line 60 of file verif_ehrhart.c.

Referenced by check_poly(), main(), Polyhedron_Preprocess(), RearrangeMatforSolveDio(), and SolveDiophantine().

int st

Definition at line 67 of file verif_ehrhart.c.

Referenced by check_poly(), and main().